# Zoom build definitions
#TOP=/home/SMCDev/SMC/mpp2
ARCH=Zoom
KRFSTYPE=3.0
SRCPARENT=$(shell readlink -f $(TOP)/..)
CORBA_INSTALL=/home/SMCDev/omniORB/$(ARCH)
TOOLCHAINROOT=/home/SMCDev/timesys/3.0/dm3730_zoom_torpedo/toolchain
TOOLCHAIN=$(TOOLCHAINROOT)/bin/armv7l-timesys-linux-gnueabi
CC=$(TOOLCHAIN)-gcc
CXX=$(TOOLCHAIN)-g++
CXXFLAGSSTD=-Wall -c -fmessage-length=0 -fPIC -fexceptions

ifeq ($(BUILDTYPE),Release)
	CXXFLAGSSTD := $(CXXFLAGSSTD) -O3
else
	CXXFLAGSSTD := $(CXXFLAGSSTD) -O0 -g
endif

# remove this warning: "note: the mangling of 'va_list' has changed in GCC 4.4"	
CXXFLAGSSTD := $(CXXFLAGSSTD) -Wno-psabi

CORBAMODULES=COS4 COSDynamic4 omniCodeSets4 omniConnectionMgmt4 omniDynamic4 omniORB4 omnithread
LFLAGSLIB=-shared
LFLAGSSTD=-L$(TOOLCHAINROOT)/lib -ldl -lpthread -lrt
LINKER=$(TOOLCHAIN)-g++
OMNIIDL=$(TOP)/omniidl-$(ARCH)
CORBALFLAGS=-L$(CORBA_INSTALL)/lib -l$(CORBAMODULES)
CORBACFLAGS=-I$(CORBA_INSTALL)/include -I$(CORBA_INSTALL)/include/COS
LOCALCFLAGS=
CRYPTOCFLAGS=
CRYPTOLIBS=nss3
LUACFLAGS=
LUALIBS=lua
EVENTLIBIDLGENERATED=$(TOP)/EventLib-Gen/$(ARCH)
SMACIDLGENERATED=$(TOP)/SMACIdl-Gen/$(ARCH)
IDLCFLAGS0=-I$(SMACIDLGENERATED)
IDLCFLAGS=$(IDLCFLAGS0) -I$(EVENTLIBIDLGENERATED)
BOOSTLIBS=boost_date_time boost_filesystem boost_serialization boost_signals boost_system boost_thread
BOOSTLFLAGS=-l$(BOOSTLIBS)
UTILFLAGS=-lutil
#JSONSRC=-I$(SRCPARENT)/libjson
#JSONCFLAGS=-I$(JSONSRC) -I$(JSONSRC)/_internal/Dependencies/libbase64++ -I$(JSONSRC)/_internal/Dependencies/mempool++ -I$(JSONSRC)/_internal/Source
#JSONLFLAGS=-ljson
JSONSRC=$(SRCPARENT)/jsoncpp
JSONCFLAGS=-I$(JSONSRC)/include
JSONLFLAGS=-L$(JSONSRC)/libs/linux-arm-4.5.3 -ljson_linux-arm-4.5.3_libmt
CURLLFLAGS=-lcurl
